#include <iostream>
#include <fstream>
#include <cmath>
using namespace std;
int n,a[10000];
void nhap()
{
	ifstream fi("DEMNT.inp");
	fi>>n;
	for(int i=0;i<n;i++)
	{
		fi>>a[i];
	}
	fi.close();
}
bool snt(int a)
{
	int kt=1;
	if(a<2)
	{
		return false;
	}
	if(a==2)
	{
		return true;
	}
	else
	{
		for(int i=2;i<=sqrt(a);i++)
		{
			if(a%i==0)
			{
				return false;
				kt=0;
				break;
			}
		}
		if(kt==1)
	{
		return true;
	}
	}
}
void xuli()
{
	int dem=0;
	for(int j=0;j<n;j++)
	{
		if(snt(a[j])==true)
		{
			dem++;
		}
	}
	ofstream fo("DEMNT.out");
	fo<<dem;
	fo.close();
}
int main()
{
	nhap();
	xuli();
}
